<?php

// XYNTA API V1.0
// Voor het laatst gewijzigd op dinsdag 19 januari 2016
// De API handleiding vindt u op https://www.controlepaneel.com/knowledge-base/api-manual.php

header("Content-type: text/xml");

// VERBIND MET DE API
// Het Account kunt u vinden op de pagina Account > API instellingen. 
// De Hash wordt automatisch gegenereerd wanneer u een IP adres aan de whitelist toevoegt.
// Gebruik altijd de Hash van het IP adres waarmee u met de IP verbind.

// $fields = array(
// 'Account' => '',
// 'Hash' => ''
// );

// DOMEINNAAM CHECKEN
// Gebruik de module domains en action check om te kijken of een domeinnaam nog beschikbaar is.

// $fields = array(
// 'Account' => '',
// 'Hash' => '', 
// 'Module' => 'domains', 
// 'Action' => 'check', 
// 'SLD' => '', 
// 'TLD' => ''
// );

// DOMEINNAAM DETAILS OPHALEN
// Gebruik de module domains en action get_details om alle details van een domeinnaam op te halen.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'domains',
// 'Action' => 'get_details',
// 'SLD' => '',
// 'TLD' => ''
// );

// DOMEINNAAM DOMEIN CONTACTEN WIJZIGEN
// Gebruik de module domains en action edit_details om de aan een domeinnaam gekoppelde domein 
// contacten te wijzigen.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'domains',
// 'Action' => 'edit_contacts',
// 'SLD' => '',
// 'TLD' => '',
// 'OwnerHandle' => '',
// 'AdminHandle' => '',
// 'TechHandle' => ''
// );

// DOMEINNAAM NAMESERVERS WIJZIGEN
// Gebruik de module domains en action edit_dns om de nameservers van een domeinnaam te wijzigen.
// De variabele DNS3 is niet verplicht.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'domains',
// 'Action' => 'edit_dns',
// 'SLD' => '',
// 'TLD' => '',
// 'DNS1' => '',
// 'DNS2' => '',
// 'DNS3' => ''
// );
 
// DOMEINNAAM VERHUISCODE OPVRAGEN
// Gebruik de module domains en action request_epp om de verhuiscode van een domeinnaam op te vragen. 
// De verhuiscode wordt naar het e-mail adres van het Houder en/of Administratief contact verzonden.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'domains',
// 'Action' => 'request_epp',
// 'SLD' => '',
// 'TLD' => ''
// );

// DOMEINNAAM VERGRENDELEN/ONTGRENDELEN
// Gebruik de module domains en action edit_lock om een domeinnaam te vergrendelen/ontgrendelen. 
// Alleen bepaalde domeinnaam extensies ondersteunen deze optie.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'domains',
// 'Action' => 'edit_lock',
// 'SLD' => '',
// 'TLD' => ''
// );

// DOMEINNAAM OPZEGGEN
// Gebruik de module domains en action cancel om een domeinnaam aan het einde van de lopende 
// contractperiode op te zeggen.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'domains',
// 'Action' => 'cancel',
// 'SLD' => '',
// 'TLD' => ''
// );

// DOMEINNAAM PER DIRECT OPZEGGEN
// Gebruik de module domains en action cancel_Direct om een domeinnaam per direct op te zeggen.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'domains',
// 'Action' => 'cancel_direct',
// 'SLD' => '',
// 'TLD' => ''
// );

// DOMEINNAMEN OVERZICHT OPVRAGEN
// Gebruik de module domains en action list om een overzicht van uw domeinnamen op te vragen.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'domains',
// 'Action' => 'list'
// );

// DOMEINNAAM GESCHIEDENIS OPVRAGEN
// Gebruik de module domains en action get_history om de geschiedenis van een domeinnaam op te 
// vragen.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'domains',
// 'Action' => '',
// 'SLD' => '',
// 'TLD' => ''
// );

// DOMEIN CONTACT TOEVOEGEN
// Gebruik de module domains en action add_contact om een domein contact toe te voegen. De 
// variabelen CompanyName, CompanyNumber, LegalForm, TaxNumber en FaxNumber zijn niet verplicht.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'domains',
// 'Action' => 'add_contact',
// 'Handle' => '',
// 'CompanyName' => '',
// 'CompanyNumber' => '',
// 'LegalForm' => '',
// 'TaxNumber' => '',
// 'Gender' => '',
// 'FirstName' => '',
// 'LastName' => '',
// 'Address' => '',
// 'ZipCode' => '',
// 'City' => '',
// 'Country' => '',
// 'EmailAddress' => '',
// 'PhoneNumber' => '',
// 'FaxNumber' => ''
// );

// DOMEIN CONTACT WIJZIGEN
// Gebruik de module domains en action edit_contact om een bestaand domein contact te wijzigen. De 
// variabelen CompanyName, CompanyNumber, LegalForm, TaxNumber en FaxNumber zijn niet verplicht.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'domains',
// 'Action' => 'edit_contact',
// 'HandleIdentifier' => '',
// 'Handle' => '',
// 'CompanyName' => '',
// 'CompanyNumber' => '',
// 'LegalForm' => '',
// 'TaxNumber' => '',
// 'Gender' => '',
// 'FirstName' => '',
// 'LastName' => '',
// 'Address' => '',
// 'ZipCode' => '',
// 'City' => '',
// 'Country' => '',
// 'EmailAddress' => '',
// 'PhoneNumber' => '',
// 'FaxNumber' => ''
// );

// DOMEIN CONTACT VERWIJDEREN
// Gebruik de module domains en action del_contact om een bestaand domein contact te verwijderen. 
// U kunt een domein contact alleen verwijderen als er geen domeinnamen meer aan gekoppeld zijn.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'domains',
// 'Action' => 'del_contact',
// 'HandleIdentifier' => ''
// );

// DOMEIN CONTACT OPHALEN
// Gebruik de module domains en action get_contact om de gegevens van een bestaand domein contact 
// op te halen.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'domains',
// 'Action' => 'get_contact',
// 'HandleIdentifier' => ''
// );

// DOMEIN CONTACTEN OVERZICHT OPVRAGEN
// Gebruik de module domains en action list_contact om een overzicht van uw eerder toegevoegde 
// domein contacten op te vragen.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'domains',
// 'Action' => 'list_contact'
// );

// DOMEINNAAM AAN WINKELWAGEN TOEVOEGEN
// Gebruik de module domains en action add_to_cart om een domeinnaam aan uw winkelwagen toe te 
// voegen. De variabelen EPP en DNS3 zijn niet verplicht.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'domains',
// 'Action' => 'add_to_cart',
// 'SLD' => '',
// 'TLD' => '', 
// 'EPP' => '',
// 'OwnerHandle' => '',
// 'AdminHandle' => '',
// 'TechHandle' => '',
// 'DNS1' => '',
// 'DNS2' => '',
// 'DNS3' => ''
// );

// INHOUD WINKELWAGEN BESTELLEN
// Gebruik de module domains en action order_cart om domeinnamen in uw winkelwagen te bestellen. 
// Dit is alleen mogelijk als uw account op achteraf factureren is ingesteld.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'domains',
// 'Action' => 'order_cart'
// );

// SERVER DETAILS OPHALEN
// Gebruik de module servers en action get_details om de gegevens van een server en/of colocatie 
// pakket op te halen. 

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'servers',
// 'Action' => 'get_details',
// 'Identifier' => ''
// );

// VIRTUELE SERVER HERSTARTEN
// Gebruik de module servers en action trigger_reboot om een virtuele server te herstarten. 

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'servers',
// 'Action' => 'trigger_reboot',
// 'Identifier' => ''
// );

// VIRTUELE SERVER AANZETTEN
// Gebruik de module servers en action trigger_poweron om een virtuele server aan te zetten.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'servers',
// 'Action' => 'trigger_poweron',
// 'Identifier' => ''
// );

// VIRTUELE SERVER UITZETTEN
// Gebruik de module servers en action trigger_poweroff om een virtuele server uit te zetten.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'servers',
// 'Action' => 'trigger_poweroff',
// 'Identifier' => ''
// );

// SERVER OVERZICHT OPVRAGEN
// Gebruik de module servers en action list om een overzicht van uw server en/of colocatie
// pakketten op te vragen.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'servers',
// 'Action' => 'list'
// );

// IP ADRESSEN AANVRAGEN
// Gebruik de module servers en action request_ip om IPv4 en/of IPv6 voor een server of colocatie 
// pakket aan te vragen. 

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'servers',
// 'Action' => 'request_ip',
// 'Identifier' => '',
// 'Type' => '',
// 'Count' => '',
// 'Reason' => ''
// );

// IP ADRES DETAILS OPHALEN
// Gebruik de module servers en action get_ip om gegevens over een IPv4 of IPv6 adres op te halen.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'servers',
// 'Action' => 'get_ip',
// 'IP' => ''
// );

// IP ADRES WIJZIGEN
// Gebruik de module servers en action edit_ip om het PTR record en/of de opmerking van een IPv4 
// of IPv6 adres te wijzigen. De variabele Remarks is niet verplicht.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'servers',
// 'Action' => 'edit_ip',
// 'IP' => '',
// 'PTRRecord' => '',
// 'Remarks' => ''
// );

// IP ADRESSEN OVERZICHT OPVRAGEN
// Gebruik de module servers en action list_ip om alle aan uw account toegewezen IPv4 en IPv6 
// adressen op te vragen.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'servers',
// 'Action' => 'list_ip'
// );

// MONITORING PROFIEL DETAILS OPHALEN
// Gebruik de module servers en action get_mon om de gegevens van een monitoring profiel op te 
// halen. 

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'servers',
// 'Action' => 'get_mon',
// 'Identifier' => ''
// );

// MONITORING PROFIEL GESCHIEDENIS OPVRAGEN
// Gebruik de module servers en action get_mon_history om de geschiedenis van een monitoring 
// profiel op te vragen.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'servers',
// 'Action' => 'get_mon_history',
// 'Identifier' => ''
// );

// MONITORING PROFIELEN OVERZICHT OPVRAGEN
// Gebruik de module servers en action list_mon om een overzicht van alle aan u toegewezen 
// monitoring profielen op te halen.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'servers',
// 'Action' => 'list_mon'
// );

// COLOCATIE BEZOEKER REGISTREREN
// Gebruik de module colocation en action add_visitor om een nieuwe colocatie bezoeker te 
// registreren voor zelfstandig toegang tot het datacenter.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'colocation',
// 'Action' => 'add_visitor',
// 'FirstName' => '',
// 'LastName' => '',
// 'DateofBirth' => '',
// 'PhoneNumber' => '',
// 'EmailAddress' => '',
// 'Country' => '',
// 'ScanDate' => '',
// 'PersNumber' => '',
// 'Location' => ''
// );

// COLOCATIE BEZOEKER DETAILS OPHALEN
// Gebruik de module colocation en action get_visitor om gegevens over een geregistreerde 
// colocatie bezoeker op te halen.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'colocation',
// 'Action' => 'get_visitor',
// 'Identifier' => ''
// );

// COLOCATIE BEZOEKERS OVERZICHT OPVRAGEN
// Gebruik de module colocation en action list_visitor om een overzicht van uw eerder 
// geregistreerde colocatie bezoekers op te halen.

// $fields = array(
// 'Account' => '',
// 'Hash' => ''
// 'Module' => 'colocation',
// 'Action' => 'list_visitor'
// );

// DATACENTER TOEGANG AANVRAGEN
// Gebruik de module colocation en action add_visit om toegang tot het datacenter aan te vragen 
// (uitsluitend NedZone Internet B.V. te Steenbergen). Variabele Guest1, Guest2 en Guest3 zijn 
// niet verplicht.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'colocation',
// 'Action' => 'add_visit',
// 'VisitorIdentifiers' => '',
// 'DateArrival' => '',
// 'Term' => '',
// 'Reason' => '',
// 'Guest1' => '',
// 'Guest2' => '',
// 'Guest3' => ''
// );

// DATACENTER TOEGANG VERZOEK OPHALEN
// Gebruik de module colocation en action get_visit om gegevens over een eerder datacenter toegang 
// verzoek op te halen.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'colocation',
// 'Action' => 'get_visit',
// 'Identifier' => ''
// );

// DATACENTER TOEGANG VERZOEKEN OVERZICHT OPVRAGEN
// Gebruik de module colocation en action list_visit om een overzicht van uw eerdere datacenter 
// toegang vragen op te vragen.

// $fields = array(
// 'Account' => '',
// 'Hash' => '',
// 'Module' => 'colocation',
// 'Action' => 'list_visit'
// );

$url = "https://www.controlepaneel.com/api/?" . http_build_query($fields, '', "&");

$ch = curl_init();
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_URL, $url);

$data = curl_exec($ch);
curl_close($ch);

print_r($data);

?>